:tocdepth: 2

Change Log
**********

Changes in Blender's Python API between releases.

.. note, this document is auto generated by sphinx_changelog_gen.py


2.83 to 2.90
============

bpy.types.CyclesPreferences
---------------------------

Added
^^^^^

* :class:`bpy.types.CyclesPreferences.peer_memory`

bpy.types.BakeSettings
----------------------

Added
^^^^^

* :class:`bpy.types.BakeSettings.max_ray_distance`

bpy.types.BlendDataLibraries
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataLibraries.remove`

bpy.types.BrushCapabilitiesSculpt
---------------------------------

Added
^^^^^

* :class:`bpy.types.BrushCapabilitiesSculpt.has_color`

bpy.types.BrushGpencilSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.BrushGpencilSettings.curve_random_hue`
* :class:`bpy.types.BrushGpencilSettings.curve_random_pressure`
* :class:`bpy.types.BrushGpencilSettings.curve_random_saturation`
* :class:`bpy.types.BrushGpencilSettings.curve_random_strength`
* :class:`bpy.types.BrushGpencilSettings.curve_random_uv`
* :class:`bpy.types.BrushGpencilSettings.curve_random_value`
* :class:`bpy.types.BrushGpencilSettings.random_hue_factor`
* :class:`bpy.types.BrushGpencilSettings.random_saturation_factor`
* :class:`bpy.types.BrushGpencilSettings.random_value_factor`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_hue`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_radius`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_sat`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_strength`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_uv`
* :class:`bpy.types.BrushGpencilSettings.use_random_press_val`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_hue`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_radius`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_sat`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_strength`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_uv`
* :class:`bpy.types.BrushGpencilSettings.use_stroke_random_val`

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.fluid_density`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_hairs`
* :class:`bpy.types.DopeSheet.show_pointclouds`

bpy.types.FieldSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.FieldSettings.wind_factor`

bpy.types.FileSelectIDFilter
----------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectIDFilter.filter_hair`
* :class:`bpy.types.FileSelectIDFilter.filter_pointcloud`
* :class:`bpy.types.FileSelectIDFilter.filter_simulation`

bpy.types.FluidDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.FluidDomainSettings.cache_frame_offset`
* :class:`bpy.types.FluidDomainSettings.cache_resumable`
* :class:`bpy.types.FluidDomainSettings.sys_particle_maximum`

Renamed
^^^^^^^

* **data_depth** -> :class:`bpy.types.FluidDomainSettings.openvdb_data_depth`

bpy.types.GPencilFrame
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilFrame.keyframe_type`

bpy.types.GPencilStrokePoint
----------------------------

Added
^^^^^

* :class:`bpy.types.GPencilStrokePoint.uv_fill`

bpy.types.Gizmo
---------------

Added
^^^^^

* :class:`bpy.types.Gizmo.hide_keymap`
* :class:`bpy.types.Gizmo.use_tooltip`

bpy.types.BuildGpencilModifier
------------------------------

Added
^^^^^

* :class:`bpy.types.BuildGpencilModifier.percentage_factor`
* :class:`bpy.types.BuildGpencilModifier.use_percentage`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.density`
* :class:`bpy.types.Brush.disconnected_distance_max`
* :class:`bpy.types.Brush.flow`
* :class:`bpy.types.Brush.invert_density_pressure`
* :class:`bpy.types.Brush.invert_flow_pressure`
* :class:`bpy.types.Brush.invert_hardness_pressure`
* :class:`bpy.types.Brush.invert_wet_mix_pressure`
* :class:`bpy.types.Brush.invert_wet_persistence_pressure`
* :class:`bpy.types.Brush.pose_deform_type`
* :class:`bpy.types.Brush.slide_deform_type`
* :class:`bpy.types.Brush.smear_deform_type`
* :class:`bpy.types.Brush.tip_scale_x`
* :class:`bpy.types.Brush.use_connected_only`
* :class:`bpy.types.Brush.use_density_pressure`
* :class:`bpy.types.Brush.use_flow_pressure`
* :class:`bpy.types.Brush.use_hardness_pressure`
* :class:`bpy.types.Brush.use_wet_mix_pressure`
* :class:`bpy.types.Brush.use_wet_persistence_pressure`
* :class:`bpy.types.Brush.wet_mix`
* :class:`bpy.types.Brush.wet_persistence`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.sculpt_vertex_colors`
* :class:`bpy.types.Mesh.use_remesh_preserve_vertex_colors`

bpy.types.Scene
---------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.alembic_export` (filepath, frame_start, frame_end, xform_samples, geom_samples, shutter_open, shutter_close, selected_only, uvs, normals, vcolors, apply_subdiv, flatten, visible_objects_only, renderable_only, face_sets, subdiv_schema, export_hair, export_particles, packuv, scale, triangulate, quad_method, ngon_method), *was (filepath, frame_start, frame_end, xform_samples, geom_samples, shutter_open, shutter_close, selected_only, uvs, normals, vcolors, apply_subdiv, flatten, visible_objects_only, renderable_only, face_sets, subdiv_schema, export_hair, export_particles, compression_type, packuv, scale, triangulate, quad_method, ngon_method)*

bpy.types.Screen
----------------

Added
^^^^^

* :class:`bpy.types.Screen.is_scrubbing`
* :class:`bpy.types.Screen.statusbar_info`

bpy.types.IDOverrideLibrary
---------------------------

Removed
^^^^^^^

* **auto_generate**

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.affect`
* :class:`bpy.types.BevelModifier.profile_type`

Removed
^^^^^^^

* **use_custom_profile**
* **use_only_vertices**

bpy.types.MultiresModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.MultiresModifier.use_custom_normals`

bpy.types.OceanModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.OceanModifier.invert_spray`
* :class:`bpy.types.OceanModifier.spray_layer_name`
* :class:`bpy.types.OceanModifier.use_spray`

bpy.types.SubsurfModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.SubsurfModifier.use_custom_normals`

bpy.types.VertexWeightEditModifier
----------------------------------

Added
^^^^^

* :class:`bpy.types.VertexWeightEditModifier.normalize`

bpy.types.VertexWeightMixModifier
---------------------------------

Added
^^^^^

* :class:`bpy.types.VertexWeightMixModifier.invert_vertex_group_a`
* :class:`bpy.types.VertexWeightMixModifier.invert_vertex_group_b`
* :class:`bpy.types.VertexWeightMixModifier.normalize`

bpy.types.VertexWeightProximityModifier
---------------------------------------

Added
^^^^^

* :class:`bpy.types.VertexWeightProximityModifier.normalize`

bpy.types.MovieTrackingCamera
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingCamera.nuke_k1`
* :class:`bpy.types.MovieTrackingCamera.nuke_k2`

bpy.types.ShaderNodeTexSky
--------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexSky.air_density`
* :class:`bpy.types.ShaderNodeTexSky.altitude`
* :class:`bpy.types.ShaderNodeTexSky.dust_density`
* :class:`bpy.types.ShaderNodeTexSky.ozone_density`
* :class:`bpy.types.ShaderNodeTexSky.sun_disc`
* :class:`bpy.types.ShaderNodeTexSky.sun_elevation`
* :class:`bpy.types.ShaderNodeTexSky.sun_intensity`
* :class:`bpy.types.ShaderNodeTexSky.sun_rotation`
* :class:`bpy.types.ShaderNodeTexSky.sun_size`

bpy.types.NodeSocketInterface
-----------------------------

Added
^^^^^

* :class:`bpy.types.NodeSocketInterface.NWViewerSocket`
* :class:`bpy.types.NodeSocketInterface.hide_value`

bpy.types.ObjectConstraints
---------------------------

Added
^^^^^

* :class:`bpy.types.ObjectConstraints.copy`

bpy.types.Sculpt
----------------

Removed
^^^^^^^

* **use_threaded**

bpy.types.Panel
---------------

Added
^^^^^

* :class:`bpy.types.Panel.list_panel_index`

bpy.types.PoseBoneConstraints
-----------------------------

Added
^^^^^

* :class:`bpy.types.PoseBoneConstraints.copy`

bpy.types.PreferencesEdit
-------------------------

Added
^^^^^

* :class:`bpy.types.PreferencesEdit.collection_instance_empty_size`
* :class:`bpy.types.PreferencesEdit.use_duplicate_hair`
* :class:`bpy.types.PreferencesEdit.use_duplicate_pointcloud`

bpy.types.PreferencesExperimental
---------------------------------

Added
^^^^^

* :class:`bpy.types.PreferencesExperimental.use_cycles_debug`
* :class:`bpy.types.PreferencesExperimental.use_new_hair_type`
* :class:`bpy.types.PreferencesExperimental.use_new_particle_system`
* :class:`bpy.types.PreferencesExperimental.use_sculpt_vertex_colors`

Removed
^^^^^^^

* **use_menu_search**

bpy.types.PreferencesView
-------------------------

Added
^^^^^

* :class:`bpy.types.PreferencesView.show_statusbar_memory`
* :class:`bpy.types.PreferencesView.show_statusbar_stats`
* :class:`bpy.types.PreferencesView.show_statusbar_version`
* :class:`bpy.types.PreferencesView.show_statusbar_vram`

bpy.types.CyclesCurveRenderSettings
-----------------------------------

Removed
^^^^^^^

* **cull_backfacing**
* **primitive**
* **resolution**
* **use_curves**

bpy.types.CyclesObjectSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesObjectSettings.shadow_terminator_offset`

bpy.types.CyclesRenderLayerSettings
-----------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderLayerSettings.denoising_openimagedenoise_input_passes`

Removed
^^^^^^^

* **use_optix_denoising**

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.debug_optix_curves_api`
* :class:`bpy.types.CyclesRenderSettings.denoiser`
* :class:`bpy.types.CyclesRenderSettings.preview_denoiser`
* :class:`bpy.types.CyclesRenderSettings.use_denoising`
* :class:`bpy.types.CyclesRenderSettings.use_preview_denoising`

Removed
^^^^^^^

* **preview_denoising**
* **use_bvh_embree**

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bl_use_gpu_context`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.bake` (depsgraph, object, pass_type, pass_filter, width, height), *was (depsgraph, object, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result)*

bpy.types.CYCLES
----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.CYCLES.bake` (self, depsgraph, obj, pass_type, pass_filter, width, height), *was (self, depsgraph, obj, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result)*

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.metadata_input`

Removed
^^^^^^^

* **use_stamp_strip_meta**

bpy.types.SceneEEVEE
--------------------

Added
^^^^^

* :class:`bpy.types.SceneEEVEE.motion_blur_depth_scale`
* :class:`bpy.types.SceneEEVEE.motion_blur_max`
* :class:`bpy.types.SceneEEVEE.motion_blur_steps`

Removed
^^^^^^^

* **motion_blur_samples**

bpy.types.Sequence
------------------

Added
^^^^^

* :class:`bpy.types.Sequence.invalidate_cache`

bpy.types.SpeedControlSequence
------------------------------

Added
^^^^^

* :class:`bpy.types.SpeedControlSequence.frame_interpolation_mode`

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.reload_if_needed`

bpy.types.ShaderFxPixel
-----------------------

Added
^^^^^

* :class:`bpy.types.ShaderFxPixel.use_antialiasing`

Removed
^^^^^^^

* **color**

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_object_select_hair`
* :class:`bpy.types.SpaceView3D.show_object_select_pointcloud`
* :class:`bpy.types.SpaceView3D.show_object_viewport_hair`
* :class:`bpy.types.SpaceView3D.show_object_viewport_pointcloud`

bpy.types.SpaceUVEditor
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceUVEditor.uv_opacity`

bpy.types.ThemeInfo
-------------------

Removed
^^^^^^^

* **info_report_error**
* **info_report_info**
* **info_report_warning**

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.use_transform_correct_face_attributes`
* :class:`bpy.types.ToolSettings.use_transform_correct_keep_connected`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.prop_decorator`
* :class:`bpy.types.UILayout.template_constraint_header`
* :class:`bpy.types.UILayout.template_constraints`
* :class:`bpy.types.UILayout.template_grease_pencil_modifiers`
* :class:`bpy.types.UILayout.template_modifiers`

Removed
^^^^^^^

* **template_constraint**
* **template_greasepencil_modifier**
* **template_modifier**

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.column` (align, heading, heading_ctxt, translate), *was (align)*
* :class:`bpy.types.UILayout.row` (align, heading, heading_ctxt, translate), *was (align)*
* :class:`bpy.types.UILayout.template_shaderfx` (), *was (data)*

bpy.types.View3DOverlay
-----------------------

Added
^^^^^

* :class:`bpy.types.View3DOverlay.display_handle`
* :class:`bpy.types.View3DOverlay.show_stats`
* :class:`bpy.types.View3DOverlay.use_gpencil_canvas_xray`

Removed
^^^^^^^

* **show_curve_handles**

bpy.types.XrSessionState
------------------------

Added
^^^^^

* :class:`bpy.types.XrSessionState.reset_to_base_pose`
